                      Computer Science 825
                         Quiz 4              Name _______________________


The 1st  question pertains to queueing delays experienced by N stations
attempting to use a shared channel in a FIFO manner with no collisions.

1. If packets are generated at random (exponentially distributed) by each
   station then statically assigning 1/Nth of the bandwidth to each station
   (rather than having a central queueing mechanism)

   a. Will have no appreciable effect      c. Will cause the delay to increase
      on the queueing delay.                  by a factor of N

   b. Will cause the delay to be reduced   d. Will cause the delay to increase
      by a factor of N                         by N seconds.

2. The window of collision vulnerability for pure aloha is:

   a. 1 Packet transmission time.     c. 1 Signal Propogation time.

   b. 2 Packet transmission times.    d. 2 Signal Propogation times.

3. The window of collision vulnerability for slotted aloha is:

   a. 1 Packet transmission time.     c. 1 Signal Propogation time.

   b. 2 Packet transmission times.    d. 2 Signal Propogation times.

4. The window of collision vulnerability for a CSMA-CD LAN is

   a. 1 Packet transmission time.     c. 1 Signal Propogation time.

   b. 2 Packet transmission times.    d. 2 Signal Propogation times.

5. Throughput of a contention based MAC protocol can be improved by:
   -  Minimizing the amount of time wasted when a collision occurs.
   -  Reducing the probability of a collision on a transmission attempt

   Which of the above two items is the objective of the following:

   a. CSMA

   b. CD

6. a. Collision free protocols such as BitMap and BRAP have no collisions
      at all and thus no time wasted due to collisions. What is their most
      UNDESIRABLE characteristic when compared to contention based protocols.




   b. Are the advantages of using collision free protocols more significant
      at high xor low workload levels.



7. Suppose a satellite channels supports a 200,000 bit/second bit rate.
   Suppose pure aloha ground stations generate a 500 bit packet every 50
   seconds on average.

   a. What average bit rate in bit/second is each station generating?
   b. What is the maximum throughput in bits/second that the channel can
      sustain on average.
   c. What is the maximum number of stations the network can sustain.





